using UnityEngine;

public class GameManager : MonoBehaviour,ISceneInitializable
{
    public static GameManager Instance;

    private void Awake()
    {
        if (Instance == null)
        {
            Instance = this; //만들어진 자신을 인스턴스로 설정
            DontDestroyOnLoad(gameObject);
        }
        else
        {
            Destroy(gameObject); //이미 인스턴스가 있으면 자신을 파괴
        }
    }

    public void OnSceneLoaded()
    { 

    }
}